﻿@page "/"
@using MongoDB.Driver;
@using MongoDB.Bson;
@inject ILogger<Index> logger

<PageTitle>Home</PageTitle>

<h1>Home</h1>

@*@code {


    private MongoClient dbClient;
    private List<BsonDocument> dbList;



    protected override async Task OnInitializedAsync()
    {
        dbClient = new MongoClient("mongodb://root:example@localhost:27017/");
        dbList = await dbClient.ListDatabases().ToListAsync();

        foreach (var db in dbList)
        {
            logger.LogInformation(db.ToString());
        }
    }*@
}

<h2>Documentation</h2>

<ul>
    <li>How to download the application</li>
    <li>How to use it</li>
    <li>Update the application and the ESP-32</li>
</ul>

<h2>Operation of heater</h2>
<p>Use the toggle switch to turn heater on/off:</p>
<label class="switch">
    <input type="checkbox">
    <span class="slider round"></span>
</label>

<h2>Set Flowtemperature (in celsius) </h2>
<select @bind="selectedTemperature">
    <option value="15">15°</option>
    <option value="16">16°</option>
    <option value="17">17°</option>
    <option value="18">18°</option>
    <option value="19">19°</option>
    <option value="20">20°</option>
    <option value="21">21°</option>
    <option value="22">22°</option>
    <option value="23">23°</option>
    <option value="24">24°</option>
    <option value="25">25°</option>
    <option value="26">26°</option>
    <option value="27">27°</option>
    <option value="28">28°</option>
    <option value="29">29°</option>
    <option value="30">30°</option>
    <option value="31">31°</option>
    <option value="32">32°</option>
    <option value="33">33°</option>
    <option value="34">34°</option>
    <option value="35">35°</option>
    <option value="36">36°</option>
    <option value="37">37°</option>
    <option value="38">38°</option>
    <option value="39">39°</option>
    <option value="40">40°</option>
    <option value="41">41°</option>
    <option value="42">42°</option>
    <option value="43">43°</option>
    <option value="44">44°</option>
    <option value="45">45°</option>
    <option value="46">46°</option>
    <option value="47">47°</option>
    <option value="48">48°</option>
    <option value="49">49°</option>
    <option value="50">50°</option>
    <option value="51">51°</option>
    <option value="52">52°</option>
    <option value="53">53°</option>
    <option value="54">54°</option>
    <option value="55">55°</option>
    <option value="56">56°</option>
    <option value="57">57°</option>
    <option value="58">58°</option>
    <option value="59">59°</option>
    <option value="60">60°</option>
</select>
<button @onclick="UpdateTemperatureOnClick">Save</button>
<p>Current temperature: @currentTemperature </p>


<h2>Set Maximaltemperature for Flow (in celcius)</h2>
<select @bind="selectedMaxtemperature">
    <option value="15">15°</option>
    <option value="16">16°</option>
    <option value="17">17°</option>
    <option value="18">18°</option>
    <option value="19">19°</option>
    <option value="20">20°</option>
    <option value="21">21°</option>
    <option value="22">22°</option>
    <option value="23">23°</option>
    <option value="24">24°</option>
    <option value="25">25°</option>
    <option value="26">26°</option>
    <option value="27">27°</option>
    <option value="28">28°</option>
    <option value="29">29°</option>
    <option value="30">30°</option>
    <option value="31">31°</option>
    <option value="32">32°</option>
    <option value="33">33°</option>
    <option value="34">34°</option>
    <option value="35">35°</option>
    <option value="36">36°</option>
    <option value="37">37°</option>
    <option value="38">38°</option>
    <option value="39">39°</option>
    <option value="40">40°</option>
    <option value="41">41°</option>
    <option value="42">42°</option>
    <option value="43">43°</option>
    <option value="44">44°</option>
    <option value="45">45°</option>
    <option value="46">46°</option>
    <option value="47">47°</option>
    <option value="48">48°</option>
    <option value="49">49°</option>
    <option value="50">50°</option>
    <option value="51">51°</option>
    <option value="52">52°</option>
    <option value="53">53°</option>
    <option value="54">54°</option>
    <option value="55">55°</option>
    <option value="56">56°</option>
    <option value="57">57°</option>
    <option value="58">58°</option>
    <option value="59">59°</option>
    <option value="60">60°</option>
</select>
<button @onclick="UpdateMaxtemperatureOnClick">Save</button>
<p>Current temperature: @currentMaxtemperature </p>

@code{
    private string selectedTemperature = "33"; //Default value

    private void UpdateTemperatureOnClick()
    {
        UpdateTemperature(selectedTemperature);
    }

    private void UpdateTemperature(string temperature)
    {
        currentTemperature = temperature;
    }

    private string currentTemperature = "33"; 

    }


    @code {
    private string selectedMaxtemperature = "35"; //Default value

    private void UpdateMaxtemperatureOnClick()
    {
        UpdateMaxtemperature(selectedMaxtemperature);
    }

    private void UpdateMaxtemperature(string temperature)
    {
        currentMaxtemperature = temperature;
    }

    private string currentMaxtemperature = "35";

    }
